description

# HttpConnectionsInfo class Null safety

Summary statistics about an HttpServers current socket connections.

## Constructors

HttpConnectionsInfo()

## Properties

active ↔ int
  Number of active connections where actual request/response processing is active.
  read / write
closing ↔ int
  Number of connections which are preparing to close. [...]
  read / write
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
idle ↔ int
  Number of idle connections held by clients as persistent connections.
  read / write
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited
total ↔ int
  Total number of socket connections.
  read / write

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited